;TIP1052C.LSP:  PNTGRADE.LSP     Utilities for Civil Engineers     (C)1994, Jeff Reimert

;========ERROR HANDLER===========
(defun pag_err (MSG)
   (alert(strcat "Error!: " MSG))
   (setq *error* OLDERR)
   (setvar"cmdecho" 1)
   (princ)
)
;===============MAIN PROGRAM===========
(defun C:PAG (/ PT1 PT2 EL1 G D1 M C OLDERR)
   (setq OLDERR *error*)
   (setq *error* PAG_ERR)
   (setvar"cmdecho" 0)
   (initget 1)
   (setq PT1(getpoint "\nSelect 1st Known Point: "))
   (initget 1)
   (setq EL1(getreal "\nEnter the Elevation :"))
   (initget 1)
   (setq PT2(getpoint "\nSelect point of Unknown Elevation: "))
   (initget 1)
   (setq G(getreal "\nEnter % of Grade in Decimal Form: "))
   ;==calculations===========
   (setq D1(distance PT1 PT2)
      M(* G D1)
      c(rtos(+ M el1) 2 2)
   );setq
   ;=========================
   (princ (strcat "\nThe Elevation is: " c))
   (setq *error* OLDERR)
   (setvar "cmdecho" 1)
   (princ)
);end pag defun
;==============================================================
(princ "\nPNTGRADE.LSP loaded... Start with PAG")
(princ); end pntgrade.lsp
